Bug 1665535 (CVE-2018-20533) - CVE-2018-20533 libsolv: NULL pointer dereference in function testcase_str2dep_complex
Summary: CVE-2018-20533 libsolv: NULL pointer dereference in function testcase_str2dep...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-20533
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20181122,reported=2...
Depends On: 1652599 1665537 1669576 1669577
Blocks: 1665540
TreeView+ depends on / blocked
 
Reported: 2019-01-11 16:53 UTC by Laura Pardo
Modified: 2019-08-06 19:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:20:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2290 None None None 2019-08-06 12:37:09 UTC

Description Laura Pardo 2019-01-11 16:53:20 UTC
A vulnerability was found in libsolv through 0.7.2. There is a NULL pointer dereference at ext/testcase.c (function testcase_str2dep_complex) in libsolvext.a in libsolv that will cause a denial of service.


References:
https://bugzilla.redhat.com/show_bug.cgi?id=1652599

Upstream Patch:
https://github.com/openSUSE/libsolv/pull/291

Comment 1 Laura Pardo 2019-01-11 16:53:49 UTC
Created libsolv tracking bugs for this issue:

Affects: fedora-all [bug 1665537]

Comment 4 Riccardo Schirone 2019-01-25 17:27:41 UTC
Function testcase_str2dep_complex() does not check whether the string pointed by one of its argument is NULL or not.

Comment 5 errata-xmlrpc 2019-08-06 12:37:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2290 https://access.redhat.com/errata/RHSA-2019:2290

Comment 6 Product Security DevOps Team 2019-08-06 19:20:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20533


Note You need to log in before you can comment on or make changes to this bug.